unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine, VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls,
  VCLTee.TeeDonut, Data.DB, MemDS, VirtualTable, VCLTee.DBChart, Vcl.ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Chart1: TChart;
    PieSeries1: TPieSeries;
    Chart2: TChart;
    PieSeries2: TPieSeries;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
    Button1.Caption:='Group Slice < '+IntToStr(TrackBar1.Position)+'% ';
    if PieSeries1.OtherSlice.Style = poBelowPercent then Begin
       Button1.Caption:=Button1.Caption+'(Status = Off)';
       PieSeries1.OtherSlice.Style:=poNone;
       PieSeries2.OtherSlice.Style:=poNone;
    End else Begin
       Button1.Caption:=Button1.Caption+'(Status = On)';
       PieSeries1.OtherSlice.Style:=poBelowPercent;
       PieSeries1.OtherSlice.Value:=TrackBar1.Position;
       PieSeries2.OtherSlice.Style:=poBelowPercent;
       PieSeries2.OtherSlice.Value:=TrackBar1.Position;
    End;
end;

procedure TForm1.FormCreate(Sender: TObject);
   Procedure Add_Pie_Series(wValue: Double; wText: String);
   Begin
      PieSeries1.AddPie(wValue, wText);
      PieSeries2.AddPie(wValue, wText);
   End;
begin
    PieSeries1.Clear;
    PieSeries2.Clear;
    Add_Pie_Series(100, 'Cars');
    Add_Pie_Series(150, 'Phones');
    Add_Pie_Series(200, 'Tables');
    Add_Pie_Series(250, 'Monitors');
    Add_Pie_Series(300, 'Lamps');
    Add_Pie_Series(350, 'Keyboards');
    Add_Pie_Series(400, 'Bikes');
    Add_Pie_Series(420, 'Pens');
    Add_Pie_Series(430, 'Mouses');
    Add_Pie_Series(450, 'Chairs');
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
    Button1.Caption:='Group Slice < '+IntToStr(TrackBar1.Position)+'% ';
    PieSeries1.OtherSlice.Value:=TrackBar1.Position;
    PieSeries2.OtherSlice.Value:=TrackBar1.Position;
    if PieSeries1.OtherSlice.Style = poBelowPercent then Begin
       Button1.Caption:=Button1.Caption+'(Status = On)';
    End Else Begin
       Button1.Caption:=Button1.Caption+'(Status = Off)';
    End;
end;

end.
